Complete a review-project conversation
curl --request POST \
--url https://api.coval.dev/v1/review-projects/{project_id}/complete-conversation \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"simulation_output_id": "<string>",
"assignee": "<string>"
}
'import requests
url = "https://api.coval.dev/v1/review-projects/{project_id}/complete-conversation"
payload = {
"simulation_output_id": "<string>",
"assignee": "<string>"
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({simulation_output_id: '<string>', assignee: '<string>'})
};
fetch('https://api.coval.dev/v1/review-projects/{project_id}/complete-conversation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"is_complete": true,
"completed_conversation_count": 123,
"blockers": [
{
"code": "MISSING_METRIC_VALUE",
"message": "<string>",
"metric_id": "<string>"
}
]
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid request body",
"details": [
{
"field": "simulation_output_id",
"description": "simulation_output_id is required"
}
]
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Authentication failed",
"details": [
{
"field": "X-API-Key",
"description": "Invalid or missing API key"
}
]
}
}{
"error": {
"code": "PERMISSION_DENIED",
"message": "Insufficient permissions",
"details": [
{
"field": "permissions",
"description": "The API key does not include the required reviews permission."
}
]
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": [
{
"field": "annotation_id",
"description": "Annotation not found or not accessible by your organization"
}
]
}
}{
"error": {
"code": "INVALID_ARGUMENT",
"message": "Invalid request parameter",
"details": [
{
"field": "<string>",
"description": "<string>"
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Internal server error",
"details": [
{
"description": "An unexpected error occurred"
}
]
}
}{
"error": {
"code": "INTERNAL",
"message": "Service temporarily unavailable",
"details": [
{
"description": "Database routing is temporarily unavailable. Please retry."
}
]
}
}Reviews
Complete a review-project conversation
Validate the conversation’s required review values and mark it complete for the acting reviewer. A successful response can still report blockers when completion requirements have not been satisfied.
POST
/
review-projects
/
{project_id}
/
complete-conversation
Complete a review-project conversation
Authorizations
Organization API key for authentication
Headers
Workspace that scopes this operation. When omitted, the organization's active default workspace is used when one can be resolved.
Required string length:
1 - 26Path Parameters
Review project ID (ULID).
Body
application/json
Was this page helpful?